"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var gulp = require("gulp");
var revReplace = require("gulp-rev-rewrite");
var internal_1 = require("../../internal");
var getManifest = function () { return gulp.src(internal_1.projectDestPath('rev-manifest.json')); };
// 4) Update asset references in HTML
var revUpdateHtml = function (_a) {
    var htmlOptions = _a.html;
    return function () {
        if (htmlOptions === false) {
            return false;
        }
        return gulp
            .src(internal_1.projectDestPath(htmlOptions.dest, '**/*.html'))
            .pipe(revReplace({ manifest: getManifest() }))
            .pipe(gulp.dest(internal_1.projectDestPath(htmlOptions.dest)));
    };
};
exports.default = revUpdateHtml;
//# sourceMappingURL=updateHtml.js.map