"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var gulp = require("gulp");
var internal_1 = require("../internal");
exports.staticFiles = function (_a) {
    var staticFilesOptions = _a.staticFiles;
    return function (cb) {
        if (staticFilesOptions === false) {
            return cb;
        }
        var defaultSrcOptions = { dot: true, allowEmpty: true };
        var srcOptions = __assign({}, defaultSrcOptions, staticFilesOptions.srcOptions);
        var destOptions = staticFilesOptions.destOptions;
        var paths = {
            dest: internal_1.projectDestPath(staticFilesOptions.dest),
            src: internal_1.projectSrcPath(staticFilesOptions.src, '**/*'),
        };
        return gulp.src(paths.src, srcOptions).pipe(gulp.dest(paths.dest, destOptions));
    };
};
//# sourceMappingURL=staticFiles.js.map