"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var gulp = require("gulp");
var rev = require("gulp-rev");
var internal_1 = require("../../internal");
// 3) Rev and compress CSS and JS files (this is done after assets, so that if a
//    referenced asset hash changes, the parent hash will change as well
var revCSS = function (_a) {
    var dest = _a.dest;
    return function () {
        return gulp
            .src(internal_1.projectDestPath('**/*.css'))
            .pipe(rev())
            .pipe(gulp.dest(dest))
            .pipe(internal_1.revNapkin({ verbose: false, force: true }))
            .pipe(rev.manifest(internal_1.projectDestPath('rev-manifest.json'), {
            merge: true,
        }))
            .pipe(gulp.dest('./'));
    };
};
exports.default = revCSS;
//# sourceMappingURL=css.js.map