"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var gulp = require("gulp");
var revReplace = require("gulp-rev-rewrite");
var internal_1 = require("../../internal");
// 2) Update asset references with reved filenames in compiled css + js
var revUpdateReferences = function (timplaConfig) { return function () {
    var manifest = gulp.src(internal_1.projectDestPath('rev-manifest.json'), {
        allowEmpty: true,
    });
    return gulp
        .src(internal_1.projectDestPath('**/**.{css,js}'))
        .pipe(revReplace({ manifest: manifest }))
        .pipe(gulp.dest(timplaConfig.dest));
}; };
exports.default = revUpdateReferences;
//# sourceMappingURL=updateReferences.js.map